Package org.pushingpixels.substance.internal.ui

# Class SubstanceTreeUI.PathRepaintCallback

java.lang.Object
org.pushingpixels.trident.callback.TimelineCallbackAdapter
org.pushingpixels.trident.callback.UIThreadTimelineCallbackAdapter
org.pushingpixels.substance.internal.ui.SubstanceTreeUI.PathRepaintCallback

All Implemented Interfaces:
  `org.pushingpixels.trident.callback.TimelineCallback`

Enclosing class:
  `SubstanceTreeUI`

protected class SubstanceTreeUI.PathRepaintCallback extends org.pushingpixels.trident.callback.UIThreadTimelineCallbackAdapter
Repaints a single path during the fade animation cycle.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JTree`
`tree`
Associated tree.
`protected TreePath`
`treePath`
Associated (animated) path.

## Constructor Summary

Constructors
Constructor
Description
`PathRepaintCallback(JTree tree, TreePath treePath)`
Creates a new animation repaint callback.

## Method Summary

Modifier and Type
Method
Description
`void`
`onTimelinePulse(float durationFraction, float timelinePosition)`
`void`
`onTimelineStateChanged(org.pushingpixels.trident.Timeline.TimelineState oldState, org.pushingpixels.trident.Timeline.TimelineState newState, float durationFraction, float timelinePosition)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tree

protected JTree tree
Associated tree.

### treePath

protected TreePath treePath
Associated (animated) path.

## Constructor Details

### PathRepaintCallback

public PathRepaintCallback(JTree tree, TreePath treePath)
Creates a new animation repaint callback.

Parameters:
  `tree` - Associated tree.
  `treePath` - Associated (animated) path.

## Method Details

### onTimelinePulse

public void onTimelinePulse(float durationFraction, float timelinePosition)

Specified by:
  `onTimelinePulse` in interface `org.pushingpixels.trident.callback.TimelineCallback`
Overrides:
  `onTimelinePulse` in class `org.pushingpixels.trident.callback.TimelineCallbackAdapter`

### onTimelineStateChanged

public void onTimelineStateChanged(org.pushingpixels.trident.Timeline.TimelineState oldState, org.pushingpixels.trident.Timeline.TimelineState newState, float durationFraction, float timelinePosition)

Specified by:
  `onTimelineStateChanged` in interface `org.pushingpixels.trident.callback.TimelineCallback`
Overrides:
  `onTimelineStateChanged` in class `org.pushingpixels.trident.callback.TimelineCallbackAdapter`